################################################################################
# helpdesk.mrc v1.0                                                            #
# Ecrit par Dakin Quelia                                                       #
# Créé le 30/03/2013                                                           #
# LICENSE: GNU GPLv3                                                           #
#                                                                              #
#                                                                              #
# (C) 2013 - Dakin Quelia (http://www.danielchalseche.fr.cr/)                  #
# Pour tout commentaire ou suggestion, contactez-moi via dakinquelia@gmail.com #
#------------------------------------------------------------------------------#
#                                 Installation                                 #
#------------------------------------------------------------------------------#
#  1) Ajoutez le fichier 'helpdesk.mrc' dans le dossier 'scripts' de mIRC      #
#  2) Modifiez le fichier 'helpdesk.mrc' et indiquez le courriel approprié     #
#  3) Chargez le fichier via mIRC: /load -rs "scripts/helpdesk.mrc"            #
################################################################################

; Message de bienvenue
ON *:JOIN:#aide: {
  msg $nick $+($nick, bienvenue sur le salon d'aide. Veuillez patienter le temps qu'un opérateur puisse vous assister. Pour une liste de questions/réponses, veuillez consulter la FAQ via la commande !FAQ) | msg $chan $nick est en attente d'assitance!
}

; Le changement de pseudo n'est pas autorisé
ON !*:NICK: { if ($newnick ison #aide) { kick #aide $newnick Le changement de pseudo n'est pas autorisé ! } }

; Commandes internes
ON *:INPUT:*:#aide {
  ; Commande du menu FAQ
  if ($1 == !faq) { 
	notice $nick Bienvenue dans la FAQ, please choose from the following to continu
	notice $nick !contact - Si vous tappez cette commande, vous obtiendrez le courriel de contact.
	notice $nick !hlpdrop - Aide pour supprimer le pseudo
	notice $nick !hlpreg - Aide pour enregistrer un pseudo
	notice $nick !hlpnalist - Aide pour consulter la liste de vos accès
	notice $nick !hlpnlist -  Aide pour consulter la liste des pseudos d'un utilisateur
	notice $nick !hlpcsreg -  Aide pour enregistrer un salon
	notice $nick !hlpbslist -  Aide pour consulter la liste des robots de salon
	notice $nick !hlpbsasgn -  Aide pour assigner un robot à un salon
	notice $nick !hlpaccinfo - Aide d'information sur les accès
	notice $nick !hlpacc -  Aide pour ajouter des accès à un salon
  }
  
  ; Information de contact
  if ($1 == !contact) { notice $nick Information de contact: <votremail@votresiteweb.com> | halt }
 
  ; Commandes d'aide
  if ($1 == !hlpdrop) { msg # Pour supprimer ton pseudo, il suffit de tapper: /ns drop | halt }
  if ($1 == !hlpreg)  { msg # Pour enregistrer ton pseudo, il suffit de tapper: /ns register <ton mot de passe> <ton mail> (sans les crochets) | halt }
  if ($1 == !hlpnalist) { msg # Pour consulter tous vos accès, il suffit de tapper: /ns alist | halt }
  if ($1 == !hlpnlist) { msg # Pour consulter les pseudos d'une personne, il suffit de tapper: /ns list <pseudo!identd@host.com> (sans les crochets) | halt }
  if ($1 == !hlpcsreg) { msg # Pour enregistrer un salon, il suffit de tapper: /cs register <nom du salon> <mot de passe> <description> (sans les crochets) Exemple: /cs register #salon 123456 Salon exemple | halt }
  if ($1 == !hlpbslist) { msg # Pour consulter la liste des robots de salon, il suffit de tapper: /bs botlist | halt }
  if ($1 == !hlpbsasgn) { msg # Pour assigner un robot sur ton salon, il suffit de tapper: /bs assign <nom du salon> <nom du bot> (sans les crochets) Exemple: /bs assign #salon Roxanne | halt }
  if ($1 == !hlpaccinfo) { msg # Avant toute chose, pour les accès, il faut que l'utilisateur soit enregistré sur le serveur. Si ce n'est pas le cas, ChanServ vous informera qu'il n'est pas possible de l'ajouter. Au niveau des accès, plusieurs niveaux sont possibles: AOP (Opérateur), SOP (Super Opérateur), HOP (Modérateur), VOP (Qui a la voix). | halt }
  if ($1 == !hlpacc) { msg # Pour ajouter un accès sur votre salon, il suffira de tapper la commande suivante: /cs <AOP|SOP|HOP|VOP> <nom du salon> add <pseudo> (sans crochets) Exemple: /cs AOP #salon add DakinQuelia | halt }
}